Bug 18146 - <embed>: "Whenever an embed element that was not potentially active becomes potentially active, and whenever a potentially active embed element's src attribute is set, changed, or removed, and whenever a potentially active embed element's type attribute i
Summary: <embed>: "Whenever an embed element that was not potentially active becomes p...
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 17:26 UTC by contributor
Modified: 2013-02-16 21:41 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:26:22 UTC
This was was cloned from bug 17005 as part of operation convergence.
Originally filed: 2012-05-08 21:20:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-08 21:20:05 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#mime-types
Complete: http://www.whatwg.org/c#mime-types

Comment:
<embed>: "Whenever an embed element that was not potentially active becomes
potentially active, and whenever a potentially active embed element's src
attribute is set, changed, or removed, and whenever a potentially active embed
element's type attribute is set, changed, or removed, the appropriate set of
steps from the following is then applied" — that should be done async via a
task, i think (at a minimum in the case of the 'being rendered' state
changing, anyway).

Posted from: 216.239.45.4 by ian@hixie.ch
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_3) AppleWebKit/536.10 (KHTML, like Gecko) Chrome/20.0.1123.4 Safari/536.10
================================================================================
Comment 1 Edward O'Connor 2013-02-08 22:57:44 UTC
Silvia, this has been addressed in WHATWG r7703.
Comment 2 Silvia Pfeiffer 2013-02-16 21:41:22 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description:
https://github.com/w3c/html/commit/e719d654424fc097635130e448eb68bc28f2635e

Rationale: Accepted WHATWG resolution, which follows Firefox and Opera implementations to make <embed> loading async.